=== debian/changelog ===
mafft (7.164-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 04 Aug 2014 15:04:10 +0200

mafft (7.158-1) unstable; urgency=medium

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sun, 13 Jul 2014 20:26:22 +0900

mafft (7.157-1) unstable; urgency=medium

  * New upstream release. 
  * debian/control
    - Added substitution variable ${perl:Depends}, used by Debhelper.
    - Recommend libwww-perl used by the script ‘seekquencer_premafft.pl’.

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Jun 2014 08:10:02 +0900

mafft (7.149-1) unstable; urgency=medium

  * New upstream release. 

 -- Charles Plessy <plessy@debian.org>  Sat, 12 Apr 2014 13:46:13 +0900

mafft (7.147-1) unstable; urgency=medium

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sun, 30 Mar 2014 19:40:37 +0900

mafft (7.130-1) unstable; urgency=low

  * New upstream release.
  * Correct ‘XS-Testsuite’ to ‘Testsuite’ in debian/control.

 -- Charles Plessy <plessy@debian.org>  Sun, 19 Jan 2014 08:25:50 +0900
