=== debian/control ===
Source: mafft
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
Homepage: http://mafft.cbrc.jp/alignment/software/

Package: mafft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: blast2,
            libwww-perl,
            lynx,
            ruby
Enhances: t-coffee
Description: Multiple alignment program for amino acid or nucleotide sequences
 MAFFT is a multiple sequence alignment program which offers three
 accuracy-oriented methods:
  * L-INS-i (probably most accurate; recommended for <200 sequences;
    iterative refinement method incorporating local pairwise alignment
    information),
  * G-INS-i (suitable for sequences of similar lengths; recommended for
    <200 sequences; iterative refinement method incorporating global
    pairwise alignment information),
  * E-INS-i (suitable for sequences containing large unalignable regions;
    recommended for <200 sequences),
 and five speed-oriented methods:
  * FFT-NS-i (iterative refinement method; two cycles only),
  * FFT-NS-i (iterative refinement method; max. 1000 iterations),
  * FFT-NS-2 (fast; progressive method),
  * FFT-NS-1 (very fast; recommended for >2000 sequences; progressive
    method with a rough guide tree),
  * NW-NS-PartTree-1 (recommended for ∼50,000 sequences; progressive
    method with the PartTree algorithm).
