## mafft 7.205

=== core/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 LIBDIR = $(PREFIX)/libexec/mafft
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/share/man/man1
+DESTDIR = 
 
 #MNO_CYGWIN = -mno-cygwin
 
@@ -19,6 +20,7 @@
 # if you have icc, use this.
 
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
+#CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3  -fprofile-arcs -ftest-coverage 
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark, valgrind
 
 
@@ -41,7 +43,7 @@
 DYLIBS = libdisttbfast.dylib
 
 PERLPROGS = mafftash_premafft.pl seekquencer_premafft.pl
-SCRIPTS = mafft mafft-homologs.rb
+SCRIPTS = mafft mafft-homologs.rb mafft-randomcore.rb
 OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
@@ -150,6 +152,10 @@
 #	cp mafft-homologs.tmpl mafft-homologs.rb
 	sed "s:_BINDIR:$(BINDIR):" mafft-homologs.tmpl  > mafft-homologs.rb
 
+mafft-randomcore.rb: mafft-randomcore.tmpl
+#	cp mafft-randomcore.tmpl mafft-randomcore.rb
+	sed "s:_BINDIR:$(BINDIR):" mafft-randomcore.tmpl  > mafft-randomcore.rb
+
 mltaln.h : functions.h
 	touch mltaln.h
 
@@ -286,15 +292,3 @@
 	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 triplet5 : $(OBJTRIPLET5)
-	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-triplet6 : $(OBJTRIPLET6)
-	$(CC) -o $@ $(OBJTRIPLET6) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-octet4 : $(OBJOCTET4)
-	$(CC) -o $@ $(OBJOCTET4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-dndpre : $(OBJDNDPRE)
-	$(CC) -o $@ $(OBJDNDPRE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-score : $(OBJSCORE)
