=== debian/changelog ===
mafft (7.205-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 23 Oct 2014 22:28:10 +0200

mafft (7.187-1) unstable; urgency=medium

  * New upstream release.
  * Conforms to Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Sun, 05 Oct 2014 09:00:33 +0900
