=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C core \
	  PREFIX=/usr/lib/mafft \
	  ENABLE_MULTITHREAD=-Denablemultithread \
	  LIBDIR=/usr/lib/mafft/lib/mafft \
	  CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_clean:
	[ ! -f core/Makefile ] || $(MAKE) -C core clean
	rm -rf binaries/* scripts/*
	dh_clean

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft

override_dh_install:
	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 LIBDIR=$(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft install
	rm $(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft/*.1

override_dh_compress:
	dh_compress -X test/sample
