## mafft 7.245

=== core/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 DYLIBS = libdisttbfast.dylib
 
 PERLPROGS = mafftash_premafft.pl seekquencer_premafft.pl
-SCRIPTS = mafft mafft-homologs.rb mafft-randomcore.rb
+SCRIPTS = mafft mafft-homologs.rb
 OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
@@ -152,9 +152,9 @@
 #	cp mafft-homologs.tmpl mafft-homologs.rb
 	sed "s:_BINDIR:$(BINDIR):" mafft-homologs.tmpl  > mafft-homologs.rb
 
-mafft-randomcore.rb: mafft-randomcore.tmpl
-#	cp mafft-randomcore.tmpl mafft-randomcore.rb
-	sed "s:_BINDIR:$(BINDIR):" mafft-randomcore.tmpl  > mafft-randomcore.rb
+mafft-sparsecore.rb: mafft-sparsecore.tmpl
+#	cp mafft-sparsecore.tmpl mafft-sparsecore.rb
+	sed "s:_BINDIR:$(BINDIR):" mafft-sparsecore.tmpl  > mafft-sparsecore.rb
 
 mltaln.h : functions.h
 	touch mltaln.h
@@ -292,3 +292,5 @@
 	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 triplet5 : $(OBJTRIPLET5)
+	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
+
