=== debian/changelog ===
mafft (7.245-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jul 2015 21:06:58 +0200

mafft (7.221-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 29 May 2015 16:24:10 +0200

mafft (7.215-1) experimental; urgency=medium

  * Upload to experimental

 -- Andreas Tille <tille@debian.org>  Sat, 28 Feb 2015 23:42:02 +0100

mafft (7.215-0biolinux1) trusty; urgency=medium

  * New upstream.
  * Add convoluted cleanup of zero-byte file
  * Add mafft-profile to /usr/bin.

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 26 Feb 2015 12:00:41 +0000
