## mafft 7.266

=== debian/changelog ===
mafft (7.266-1) unstable; urgency=medium

  * New upstream version
  * Fix bashism
    Closes: #772305

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2015 23:44:00 +0100
