## mafft 7.270

=== debian/changelog ===
mafft (7.270-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 30 Dec 2015 19:52:50 +0100
