=== debian/changelog ===
mafft (7.271-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jan 2016 19:44:13 +0100
