=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/
