=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,12 @@
 
 override_dh_install:
 	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 LIBDIR=$(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft install
-	rm $(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft/*.1
+	rm debian/mafft/usr/lib/mafft/lib/mafft/*.1
+	# Remove zero-sized file but if it's not zero-sized that's an error.
+	# If the file doesn't exist that's OK.
+	! cd debian/mafft/usr/lib/mafft/bin/ || \
+	    ! test -s mafft-sparsecore.rb && \
+	    rm -f mafft-sparsecore.rb
 
 override_dh_compress:
 	dh_compress -X test/sample
