=== debian/watch ===
version=3
http://mafft.cbrc.jp/alignment/software/source.html mafft-(.*)-without-extensions-src.tgz
