## mafft 7.294

=== core/Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3  -fprofile-arcs -ftest-coverage 
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark, valgrind
+#CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 -lprofiler  # ?
 
 
 MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(CFLAGS)
@@ -35,7 +36,7 @@
 INSTALL = install
 
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
-		pair2hat3s multi2hat3s pairash addsingle \
+		multi2hat3s pairash addsingle \
         splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
 		seq2regtable regtable2seq score getlag dndpre setcore replaceu restoreu setdirection makedirectionlist version
 SOS = libdisttbfast.so
@@ -43,7 +44,7 @@
 DYLIBS = libdisttbfast.dylib
 
 PERLPROGS = mafftash_premafft.pl seekquencer_premafft.pl
-SCRIPTS = mafft mafft-homologs.rb
+SCRIPTS = mafft mafft-homologs.rb mafft-sparsecore.rb
 OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
@@ -55,14 +56,12 @@
 OBJCONTRAFOLDWRAP = mtxutl.o io.o contrafoldwrap.o constants.o defs.o mltaln9.o
 OBJMULTI2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
 				 multi2hat3s.o defs.o fft.o fftFunctions.o
-OBJPAIR2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
-				pair2hat3s.o defs.o fft.o fftFunctions.o
 OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 			 Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genalign11.o Lalign11.o SAalignmm.o \
 			 pairash.o defs.o fft.o fftFunctions.o
 OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genalign11.o Lalign11.o SAalignmm.o \
-					pairlocalalign.o defs.o fft.o fftFunctions.o
+					pairlocalalignmain.o pairlocalalign.o defs.o fft.o fftFunctions.o
 OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
@@ -71,7 +70,7 @@
 			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
 OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
-			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
+			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o 
 OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
@@ -86,7 +85,8 @@
 			Lalign11.o makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
-			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
+			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o \
+			pairlocalalign.o genalign11.o MSalign11.o Lalign11.o 
 OBJADDSINGLE = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			addsingle.o defs.o fft.o fftFunctions.o addfunctions.o
@@ -234,9 +234,6 @@
 pairash : $(OBJPAIRASH)
 	$(CC) -o $@ $(OBJPAIRASH) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
-pair2hat3s : $(OBJPAIR2HAT3S)
-	$(CC) -o $@ $(OBJPAIR2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
 multi2hat3s : $(OBJMULTI2HAT3S)
 	$(CC) -o $@ $(OBJMULTI2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
@@ -288,3 +285,4 @@
 sextet5 : $(OBJSEXTET5)
 	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
+mafft-distance : $(OBJDISTANCE)
