=== debian/changelog ===
mafft (7.294-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * /usr/bin/mafft-sparsecore.rb is non-zero - remove the test in debian/rules
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2016 17:59:56 +0200
