=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/
