## mafft 7.305

=== debian/changelog ===
mafft (7.305-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 16 Aug 2016 14:45:35 +0200
