## mafft 7.307

=== debian/changelog ===
mafft (7.307-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * update d/copyright
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2017 15:58:36 +0100
