=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
