## mafft 7.310

=== core/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # does not support TLS (thread-local strage).
 
 CC = gcc
-CFLAGS = -O3
+CFLAGS = -O3 -std=c99
 #CFLAGS = -O3 -fPIC
 # add -fPIC when building .so files
 
@@ -285,4 +285,3 @@
 sextet5 : $(OBJSEXTET5)
 	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
-mafft-distance : $(OBJDISTANCE)
