=== debian/changelog ===
mafft (7.310-1) unstable; urgency=medium

  * New upstream version
  * Move packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2017 14:38:51 +0200
