=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mafft.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/mafft.git
 Homepage: http://mafft.cbrc.jp/alignment/software/
 
 Package: mafft
