=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -26,11 +28,6 @@
 override_dh_install:
 	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 LIBDIR=$(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft install
 	rm debian/mafft/usr/lib/mafft/lib/mafft/*.1
-	# Remove zero-sized file but if it's not zero-sized that's an error.
-	# If the file doesn't exist that's OK.
-	! cd debian/mafft/usr/lib/mafft/bin/ || \
-	    ! test -s mafft-sparsecore.rb && \
-	    rm -f mafft-sparsecore.rb
 
 override_dh_compress:
 	dh_compress -X test/sample
