## mafft 7.397

=== debian/changelog ===
mafft (7.397-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 22:18:47 +0200
