=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mafft.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/mafft.git
+Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/mafft
+Vcs-Git: https://salsa.debian.org/med-team/mafft.git
 Homepage: http://mafft.cbrc.jp/alignment/software/
 
 Package: mafft
