## mafft 7.402

=== debian/changelog ===
mafft (7.402-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 May 2018 16:17:10 +0200
